namespace OSMDatastructure.Graph;

[Serializable]
public class OsmWay
{
    public ulong wayId { get; }
    public ulong startId { get; }
    public ulong neighborId { get; }
    public ulong neighborRegion { get; }
    

    public OsmWay(ulong wayId, ulong startId, ulong neighborId, ulong neighborRegion)
    {
        this.wayId = wayId;
        this.startId = startId;
        this.neighborId = neighborId;
        this.neighborRegion = neighborRegion;
    }

    public override string ToString()
    {
        return $"EDGE WayID: {wayId} StartID: {startId} NeighborID: {neighborId} in {neighborRegion}";
    }
}